Ticket #1679 (new defect)

Opened 5 years ago

Last modified 5 years ago

Error paquete NonLinGloOpt.6.1

Reported by: lmperez Owned by: vdebuen
Priority: high Milestone: Numerical methods
Component: Math Version: 3.1
Severity: critical Keywords:
Cc:

Description

Este ticket viene de MMS (https://mms.tol-project.org/ticket/1092)

Hola MMS, al hacer Require MMS obtengo el siguiente error:

Ha sido cargado el paquete GuiTools.3.6
Ha sido cargado el paquete MatQuery.3.4
Ha sido cargado el paquete MatAlg.2.1
Ha sido cargado el paquete BysPrior.3.1
Ha sido cargado el paquete BysInfDiag.3.3
[TolExcel] Loading library C:/Documents and Settings/bayes/Dados de aplicativos/tol/TolPackage.2/Client/TolExcel.2.2/CppTools/Windows_x86_32/TolExcel.dll -> OK
Ha sido cargado el paquete TolExcel.2.2
Loading DLL C:/Documents and Settings/bayes/Dados de aplicativos/tol/TolPackage.2/Client/NonLinGloOpt.6.1/CppTools/Windows_x86_32/nlopt.dll
Loading DLL C:/Documents and Settings/bayes/Dados de aplicativos/tol/TolPackage.2/Client/NonLinGloOpt.6.1/CppTools/Windows_x86_32/NonLinGloOpt.dll

ERROR: [1] [LoadDynLib("C:\Documents and Settings\bayes\Dados de aplicativos\tol\TolPackage.2\Client\NonLinGloOpt.6.1\CppTools\Windows_x86_32\NonLinGloOpt.dll")] 
Cannot found symbol 'GetDynLibNameBlockNonLinGloOpt'

[Call stack]
  [1] Real NonLinGloOpt::StartActions (Real void)

Warning: [1] La función :: ha fallado en : 
NonLinGloOpt::CppTools::NLOPT.Version(?)

ERROR: [2] [NonLinGloOpt] Loading library C:\Documents and Settings\bayes\Dados de aplicativos\tol\TolPackage.2\Client\NonLinGloOpt.6.1\CppTools\Windows_x86_32\NonLinGloOpt.dll -> FAIL


[Call stack]
  [2] Real TolCore::TolPackage::Client::CppTools.Check (NameBlock package, Text dllFile, Text chechMethod)
  [1] Real NonLinGloOpt::StartActions (Real void)
Ha sido cargado el paquete NonLinGloOpt.6.1
[IpoptCore::StartActions] Loading library C:/Documents and Settings/bayes/Dados de aplicativos/tol/TolPackage.2/Client/IpoptCore.3.9/Windows_x86_32/ipopt39.dll -> OK
Ha sido cargado el paquete IpoptCore.3.9
Ha sido cargado el paquete TolIpopt.3.1
Ha sido cargado el paquete BysMcmc.7.1
[BysSampler] Loading library C:/Documents and Settings/bayes/Dados de aplicativos/tol/TolPackage.2/Client/BysSampler.5.3/CppTools/Windows_x86_32/BysSampler.dll -> OK
Ha sido cargado el paquete BysSampler.5.3
Ha sido cargado el paquete GrzLinModel.4.3
Ha sido cargado el paquete QltvRespModel.5.2
Ha sido cargado el paquete ExtLib.2.4
Ha sido cargado el paquete BabelTool.1.6
Ha sido cargado el paquete RandVar.3.3
Ha sido cargado el paquete DecoTools.2.3
Ha sido cargado el paquete MMS.1.19

En las máquinas donde ejecuto el Require no tengo Internet, así que he copiado los paquetes a mano a la carpeta server y he hecho Require. He probado a instalar el paquete a mano usando:

TolCore::TolPackage::Client::InstallZip("C:/Documents and Settings/bayes/Dados de aplicativos/tol/TolPackage.2/Server/NonLinGloOpt.6.1.zip")

Pero obtengo el mismo error, ¿me podéis ayudar?

Gracias de antemano

Change History

Changed 5 years ago by vdebuen

Se ha debido quedar podrido ese paquete en linux porque a mí en windows me funciona bien.

La solución más sencilla es borrar el 6.1 y poner el 5.3 que funciona correctamente.

De hecho voy a borrar el 6.1 del repositorio para que no haya problemas.

Changed 5 years ago by josp

Este es el mismo error que el que se reporta en #1681

Note: See TracTickets for help on using tickets.